package com.brilliance.isc.swift.objmtconvert.model.mt4xx.tag.tag499;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.MT499Creator;

import java.util.List;


public class Tag79Creator extends AbsTagCreate {

     private MT499Creator mt499Creator;

    public Tag79Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt499Creator= (MT499Creator) absMTCreator;
    }

    public void creator()
    {
        List<String> tag79Value = mt499Creator.getNarrative();
        mt499Creator.set("79", tag79Value,true);
    }
}

